Name: anacron
Version: 2.3
Release: ipl9mdk

Summary: A cron-like program that doesn't go by time
Copyright: GPL
Group: System/Servers
Url: http://anacron.sourceforge.net/

Source: http://download.sourceforge.net/%name/%name-%version.orig.tar.bz2
Source1: %{name}tab
Source2: %name.init

Patch: %name-2.3-re.patch
Patch1: %name-2.3-alt-lock-file.patch

PreReq: /sbin/chkconfig

%define lockfile %_lockdir/subsys/%name

%description
Anacron (like `anac(h)ronistic') is a periodic command scheduler.  It
executes commands at intervals specified in days.  Unlike cron, it
does not assume that the system is running continuously.  It can
therefore be used to control the execution of daily, weekly and
monthly jobs (or anything with a period of n days), on systems that
don't run 24 hours a day.  When installed and configured properly,
Anacron will make sure that the commands are run at the specified
intervals as closely as machine-uptime permits.

This package is pre-configured to execute the daily jobs of the Mandrake
system. You should install this program if your system isn't powered on
24 hours a day to make sure the maintenance jobs of other Mandrake packages
are executed each day.

%prep
%setup -q
%patch -p1
%patch1 -p1
rm -f gregor.*

%build
%add_optflags -D_XOPEN_SOURCE -D_XOPEN_SOURCE_EXTENDED -DLOCKFILE=\\\"%lockfile\\\"
%make_build

%install
install -p -m755 -D %name $RPM_BUILD_ROOT%_sbindir/%name
install -p -m644 -D %name.8 $RPM_BUILD_ROOT%_mandir/man8/%name.8
install -p -m644 -D %{name}tab.5 $RPM_BUILD_ROOT%_mandir/man5/%{name}tab.5
install -p -m644 -D %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/%{name}tab
install -p -m755 -D %SOURCE2 $RPM_BUILD_ROOT%_initdir/%name
mkdir -p $RPM_BUILD_ROOT/var/{run,spool}/%name

for f in cron.{dai,week,month}ly; do
	mkdir -p "$RPM_BUILD_ROOT%_sysconfdir/$f"
cat << EOF >"$RPM_BUILD_ROOT%_sysconfdir/$f/000%name"
#!/bin/sh
#
# %name's cron script
#
# This script updates %name time stamps. It is called through run-parts
# either by %name itself or by cron.
#
# The script is called "000%name" to assure that it will be executed
# _before_ all other scripts.

exec %_sbindir/%name -u $f
EOF
chmod 750 "$RPM_BUILD_ROOT%_sysconfdir/$f/000%name"
done

%__subst s,RPM_LOCKFILE,%lockfile, $RPM_BUILD_ROOT%_initdir/%name

%post
%post_service %name

%preun
%preun_service %name

%files
%_sbindir/%name
%config(noreplace) %_initdir/%name
%config(noreplace) %attr(640,root,adm) %_sysconfdir/%{name}tab
%config(noreplace) %_sysconfdir/cron.*/*
%_mandir/man?/*
%attr(700,root,root) /var/*/%name
%doc ChangeLog README TODO

%changelog
* Fri Nov 14 2003 Stanislav Ievlev <inger@altlinux.org> 2.3-ipl9mdk
- anacron now delete lockfile itself at success exit

* Thu Dec 19 2002 Stanislav Ievlev <inger@altlinux.ru> 2.3-ipl8mdk
- #0001651

* Mon Sep 23 2002 Stanislav Ievlev <inger@altlinux.ru> 2.3-ipl7mdk
- rebuild with gcc3
- fixed URL.

* Thu May 24 2001 Stanislav Ievlev <inger@altlinux.ru> 2.3-ipl6mdk
- Rebuild for use new macros post_service and preun_service

* Thu Feb 22 2001 Dmitry V. Levin <ldv@fandra.org> 2.3-ipl5mdk
- Use __progname.
- Rewritten timestamp analysis logic (now use seconds precision).

* Sat Jan 13 2001 Dmitry V. Levin <ldv@fandra.org> 2.3-ipl4mdk
- Create tmpfiles in more secure way.

* Wed Sep 20 2000 Dmitry V. Levin <ldv@fandra.org> 2.3-ipl3mdk
- RE adaptions.

* Tue Sep 12 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3-3mdk
- added use of subsys in initscript

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3-2mdk
- changed source (taken from debian instead of sourceforge)
- added Prereq
- changed init script (took redhat one)
- changed preun and added postun to stop and restart service properly
- added config(noreplace) on default tasks and init script

* Thu Aug 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 2.3-1mdk
- new version
- chkconfig in post install and preuninstall
- slight improvements (noreplace, url)
- improved init.d script

* Fri Jul 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.1-6mdk
- BM
- macroqwekrvhuqwjrncasdfkl;kl;vbwerkl;vbzations

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-5mdk
- use spec-helper & new macros
- add a %%install section (...) : now spec-helper will work on
  anacron rpm.

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 2.1-4mdk
- Fix Description and Summary
- Use %%_tmppath for BuildRoot

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 2.1-3mdk
- fix group

* Wed Dec 29 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove cron.hourly check (unusefull).

* Wed Nov 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.1 from debian.
- Fix typo in initscripts.

* Thu Jul 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong entries in anacrontab.
- Add a /etc/rc.d/rc.sysinit/ script

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix bug with /var/spool/anacron/

* Sat Apr 10 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version mainly inspired from the Debian package.
